Subject: RE: [Simple] Prescaps rep of token types

From: [email-masked]
Date: Mon, 1 Nov 2004 21:04:25 +0200

inline
> 
> I like the change in the representation for token-valued features, to 
> the form that has <supported> and <notsupported> elements.

Nice to hear that 

> However, I am concerned about defining xml elements for each 
> token. This 
> begins to look like ASN.1 that most people seem to hate. It 
> requires an 
> excessive amount of schema definition, and makes it impossible to 
> represent a value for which no schema definition is present.
>
> I think it would be preferable to define them all the way 
> <languages> is 
> defined, with the individual tokens simply being defined as strings.

What you state above regarding new schema definitions is true. However, this has been discussed before and the conclusion was that we should go for the model that is now written in the ID. We have had the <language> type schema definition in the past but most people preferred the current one.

- Mikko
 
> 	Paul
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple